## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global extension   blur-my-shell
%global uuid        %{extension}@aunetx

Name:           gnome-shell-extension-%{extension}
Version:        67
Release:        %autorelease
Summary:        Adds a blur look to different parts of the GNOME Shell
License:        GPL-3.0-or-later
URL:            https://github.com/aunetx/blur-my-shell
BuildArch:      noarch

Source:         %{url}/archive/v%{version}/%{extension}-%{version}.tar.gz
# https://github.com/aunetx/blur-my-shell/pull/626
Patch:          0001-Use-meson-build-system.patch
# https://github.com/aunetx/blur-my-shell/commit/b39c53630ef16384dfb567894bffd50afd76d469
Patch:          0002-Fix-incompatibility-with-just-perfection.patch

BuildRequires:  meson
BuildRequires:  glib2
BuildRequires:  gettext
Requires:       gnome-shell >= 46
Recommends:     gnome-extensions-app
Provides:       %{extension} = %{version}-%{release}


%description
Adds a blur look to different parts of the GNOME Shell, including the top
panel, dash and overview.


%prep
%autosetup -p 1 -n %{extension}-%{version}


%conf
%meson


%build
%meson_build


%install
%meson_install
%find_lang %{uuid}


%files -f %{uuid}.lang
%license LICENSE
%{_datadir}/gnome-shell/extensions/%{uuid}
%{_datadir}/glib-2.0/schemas/org.gnome.shell.extensions.%{extension}.gschema.xml


%changelog
## START: Generated by rpmautospec
* Thu Jan 16 2025 Fedora Release Engineering <releng@fedoraproject.org> - 67-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Wed Dec 18 2024 Carl George <carlwgeorge@fedoraproject.org> - 67-1
- Update to version 67 rhbz#2312411
- Add patch to fix incompatibility with just-perfection

* Sat Sep 14 2024 Carl George <carlwgeorge@fedoraproject.org> - 66-1
- Update to version 66 rhbz#2305240

* Tue Jul 23 2024 Carl George <carlwgeorge@fedoraproject.org> - 62-1
- Update to version 62 rhbz#2274423

* Thu Jul 18 2024 Fedora Release Engineering <releng@fedoraproject.org> - 59-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Wed Mar 27 2024 Carl George <carlwgeorge@fedoraproject.org> - 59-1
- Update to version 59 rhbz#2264829
- GNOME 46 compatibility rhbz#2257753

* Wed Jan 24 2024 Fedora Release Engineering <releng@fedoraproject.org> - 54-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Fri Jan 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 54-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Wed Nov 29 2023 Carl George <carlwgeorge@fedoraproject.org> - 54-1
- Update to version 54, resolves rhbz#2249178

* Tue Nov 07 2023 Carl George <carlwgeorge@fedoraproject.org> - 53-1
- Update to version 53 (rhbz#2245227)

* Thu Sep 28 2023 Carl George <carlwgeorge@fedoraproject.org> - 51-1
- Update to version 51, resolves rhbz#2240851

* Tue Sep 19 2023 Carl George <carlwgeorge@fedoraproject.org> - 50-1
- Update to version 50 for official upstream GNOME 45 support
- Resolves: rhbz#2239731

* Mon Aug 21 2023 Carl George <carlwgeorge@fedoraproject.org> - 47^1.28a669d-1
- Update to upstream snapshot for GNOME 45 support

* Thu Jul 27 2023 Carl George <carl@george.computer> - 47-1
- Update to version 47, resolves rhbz#2217303

* Wed Jul 19 2023 Fedora Release Engineering <releng@fedoraproject.org> - 46-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Fri May 05 2023 Carl George <carl@george.computer> - 46-1
- Update to version 46

* Mon Mar 27 2023 Carl George <carl@george.computer> - 45-1
- Update to version 45 (GNOME 44 support)

* Thu Jan 19 2023 Fedora Release Engineering <releng@fedoraproject.org> - 44-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Mon Oct 24 2022 Carl George <carl@george.computer> - 44-1
- Initial package, resolves rhbz#2135915
## END: Generated by rpmautospec
